# Class RecursiveRedirectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.meterware.httpunit.RecursiveRedirectionException

All Implemented Interfaces:
  `Serializable`

public class RecursiveRedirectionException extends RuntimeException
Class used to indicate when a request to a resource resulted in an HTTP redirect response that lead to a recursive loop of redirections

Author:
  James Abley
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RecursiveRedirectionException(URL url, String message)`
Create a new `RecursiveRedirectionException` with the specified URL and detail message.
`RecursiveRedirectionException(URL url, String message, Throwable cause)`
Create a new `RecursiveRedirectionException` with the specified URL, detail message and cause.
`RecursiveRedirectionException(URL url, Throwable cause)`
Create a new `RecursiveRedirectionException` with the specified URL and cause.

## Method Summary

Modifier and Type
Method
Description
`URL`
`getURL()`
Returns the URL that caused this exception to be thrown.

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RecursiveRedirectionException

public RecursiveRedirectionException(URL url, Throwable cause)
Create a new `RecursiveRedirectionException` with the specified URL and cause.

Parameters:
  `url` - the `URL`that caused the recursive loop to be detected
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()`method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

### RecursiveRedirectionException

public RecursiveRedirectionException(URL url, String message)
Create a new `RecursiveRedirectionException` with the specified URL and detail message.

Parameters:
  `url` - the `URL` that caused the recursive loop to be detected. The URL is saved for later retrieval by `getURL()`
  `message` - the detail message. The detail message is saved for later retrieval by `Throwable.getMessage()`

### RecursiveRedirectionException

public RecursiveRedirectionException(URL url, String message, Throwable cause)
Create a new `RecursiveRedirectionException` with the specified URL, detail message and cause.

Parameters:
  `url` - the `URL` that caused the recursive loop to be detected. The URL is saved for later retrieval by `getURL()`
  `message` - the detail message. The detail message is saved for later retrieval by `Throwable.getMessage()`
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()`method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

## Method Details

### getURL

public URL getURL()
Returns the URL that caused this exception to be thrown.

Returns:
  the `URL` that gave rise to this Exception